MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026424Open CASCADE[OCCT] OCCT:Visualizationpublic2015-07-13 17:022015-10-23 20:50
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2013OS Version64 bit
Product Version 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026424: Visualization, TKOpenGl - fix text rendering in core profile
DescriptionText is not rendered within core profile on Windows platform.
Steps To ReproduceN/A

pload MODELING VISUALIZATION
vcaps -core
vinit View1
vclear
vaxo
vzbufftrihedron
TagsNo tags attached.
Test case numberbugs vis bug26424
Attached Files

- Relationships
related to 0026002closedbugmaster Visualization, TKOpenGl - detect alien Core Profile context 
child of 0024838closedbugmaster Visualization, TKOpenGl - make general rendering path compatible with OpenGL 3.1+ core profiles 

-  Notes
(0042976)
git (administrator)
2015-07-13 17:08

Branch CR26424 has been created by kgv.

SHA-1: d521aa55be870705b279d758d2946aaa7b2a4332


Detailed log of new commits:

Author: kgv
Date: Mon Jul 13 17:08:35 2015 +0300

    0026424: Visualization, TKOpenGl - fix text rendering in core profile
    
    OpenGl_Context::init() - fix condition on initializing alien OpenGL context within core profile.
    OpenGl_Font::renderGlyph() - use GL_RED data format in core profile.
    OpenGl_Text::render() - do not use GL_ALPHA_TEST in core profile.
(0042978)
kgv (developer)
2015-07-13 17:09

Patch is ready for review.
(0042984)
san (developer)
2015-07-13 19:33

Branch CR26424 reviewed without remarks, ready for testing.
(0043126)
git (administrator)
2015-07-16 14:02

Branch CR26424 has been updated by apv.

SHA-1: 46c9030c4fcf135b0e68fb7d3f7e7585dac653b3


Detailed log of new commits:

Author: apv
Date: Thu Jul 16 14:01:57 2015 +0300

    Test-case for issue 0026424

(0043129)
apv (tester)
2015-07-16 14:32

Dear BugMaster,

Branch CR26424 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested.
SHA-1: d521aa55be870705b279d758d2946aaa7b2a4332

Number of compiler warnings:
occt component:
   Linux: 24 (24 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 37 (37 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
bugs vis bug26424 - OK
http://occt-tests/CR26424-master-occt-64/Debian70-64/bugs/vis/bug26424.html [^]
http://occt-tests/CR26424-master-occt-64/Windows-64-VC10/bugs/vis/bug26424.html [^]

Testing on Linux:
Total MEMORY difference: 96027232 / 96660517 [-0.66%]
Total CPU difference: 17407.65999999992 / 17392.15999999972 [+0.09%]

Testing on Windows:
Total MEMORY difference: 57096004 / 56485366 [+1.08%]
Total CPU difference: 16235.866475398865 / 15957.85709329893 [+1.74%]
(0043531)
git (administrator)
2015-07-27 13:39

Branch CR26424 has been deleted by kgv.

SHA-1: 46c9030c4fcf135b0e68fb7d3f7e7585dac653b3

- Related Changesets
occt: master c6ad5e5f
Timestamp: 2015-07-20 17:58:55
Author: kgv
Committer: bugmaster
Details ] Diff ]
0026424: Visualization, TKOpenGl - fix text rendering in core profile

OpenGl_Context::init() - fix condition on initializing alien OpenGL context within core profile.
OpenGl_Font::renderGlyph() - use GL_RED data format in core profile.
OpenGl_Text::render() - do not use GL_ALPHA_TEST in core profile.

Test-case for issue 0026424
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Font.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Text.cxx Diff ] File ]
add - tests/bugs/vis/bug26424 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-07-13 17:02 kgv New Issue
2015-07-13 17:02 kgv Assigned To => kgv
2015-07-13 17:08 git Note Added: 0042976
2015-07-13 17:09 kgv Note Added: 0042978
2015-07-13 17:09 kgv Assigned To kgv => san
2015-07-13 17:09 kgv Status new => resolved
2015-07-13 17:09 kgv Relationship added related to 0026002
2015-07-13 17:10 kgv Relationship added child of 0024838
2015-07-13 19:33 san Note Added: 0042984
2015-07-13 19:33 san Assigned To san => bugmaster
2015-07-13 19:33 san Status resolved => reviewed
2015-07-15 14:43 apv Assigned To bugmaster => apv
2015-07-16 13:50 apv Test case number => bugs vis bug26424
2015-07-16 14:02 git Note Added: 0043126
2015-07-16 14:32 apv Note Added: 0043129
2015-07-16 14:32 apv Assigned To apv => bugmaster
2015-07-16 14:32 apv Status reviewed => tested
2015-07-23 11:55 bugmaster Changeset attached => occt master c6ad5e5f
2015-07-23 11:55 bugmaster Status tested => verified
2015-07-23 11:55 bugmaster Resolution open => fixed
2015-07-27 13:39 git Note Added: 0043531
2015-08-26 11:00 abv Target Version 7.0.0 => 6.9.1
2015-10-16 14:56 aiv Status verified => closed
2015-10-23 20:50 aiv Fixed in Version => 6.9.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker